Skip to content

Get guardrail.

GET
/backend/v1/scanners/{scannerId}

Retrieves a guardrail by ID.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Path Parameters

scannerId*
Type
string
Required
Format
"uuid"

Query Parameters

configAt

Get the config at a given point in time.

version

Get the guardrail at a specific version

Responses

Successful Response

application/json
JSON
{
  
"scanner": {
  
  
"availability": {
  
  
  
"global": false,
  
  
  
"projectIds": [
  
  
  
  
[
  
  
  
  
]
  
  
  
]
  
  
},
  
  
"config": {
  
  
  
"pattern": "string",
  
  
  
"type": "regex"
  
  
},
  
  
"direction": "request",
  
  
"id": "string",
  
  
"name": "string",
  
  
"packageId": "string",
  
  
"projectId": "string",
  
  
"scannerTemplateId": "string",
  
  
"source": {
  
  
  
"type": "internal"
  
  
},
  
  
"tags": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"vendored": true,
  
  
"versionMeta": {
  
  
  
"createdAt": "string",
  
  
  
"createdBy": "string",
  
  
  
"description": "string",
  
  
  
"direction": "string",
  
  
  
"f1Score": 0,
  
  
  
"id": "string",
  
  
  
"latestDatasetResult": {
  
  
  
  
"datasetRunId": "string",
  
  
  
  
"f1Score": 0
  
  
  
},
  
  
  
"name": "string",
  
  
  
"published": true
  
  
}
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Updated at: